import pygame
"""
This file contains basic constants used in PySoldier
"""

applicationName = 'PySoldier'
version = 'v0.01'

authors = 'Michael Francker Christensen & Ask Hjorth Larsen'

appInfo = applicationName + ' ' + version + ' by '+authors

displayWidth = 800
displayHeight = 600

worldWidth = 1200
worldHeight = 600

clientToServerPort = 8004
serverToClientPort = 8005

sendToAllIP = '224.0.0.1'
defaultIp = '127.0.0.1'

gravity = 9.82*40

MODE_UNDETERMINED = -1
MODE_SERVER = 0
MODE_CLIENT = 1

MODE = MODE_UNDETERMINED

pygame.mixer.init()

SOUND_MEIN_LEBEN = pygame.mixer.Sound("sound/meinleben.wav")
SOUND_SHOOT = pygame.mixer.Sound("sound/luger.wav")
SOUND_THEME = pygame.mixer.Sound("sound/theme.wav")
SOUND_EXPLOSION = pygame.mixer.Sound("sound/explosion.wav")
